Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniFileTask.IniOperation

    java.lang.Object
      |
      +--net.sf.antcontrib.inifile.IniFileTask.IniOperation

Direct Known Subclasses:
  IniFileTask.Remove, IniFileTask.Set

Enclosing class:
  IniFileTask

public abstract static class IniFileTask.IniOperation
extends java.lang.Object

Constructor Summary
`IniFileTask.IniOperation()`

Method Summary
`void` | `execute(org.apache.tools.ant.Project project, IniFile iniFile)`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getSection()`
`boolean` | `isActive(org.apache.tools.ant.Project p)` Returns true if the define's if and unless conditions (if any) are satisfied.
`protected abstract void` | `operate(IniFile file)`
`void` | `setIf(java.lang.String ifCond)`
`void` | `setProperty(java.lang.String property)`
`void` | `setSection(java.lang.String section)`
`void` | `setUnless(java.lang.String unlessCond)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniFileTask.IniOperation

    public IniFileTask.IniOperation()

Method Detail

### getSection

    public java.lang.String getSection()

### setSection

    public void setSection(java.lang.String section)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### setIf

    public void setIf(java.lang.String ifCond)

### setUnless

    public void setUnless(java.lang.String unlessCond)

### isActive

    public boolean isActive(org.apache.tools.ant.Project p)

  Returns true if the define's if and unless conditions (if any) are satisfied.

### execute

    public void execute(org.apache.tools.ant.Project project,
                        IniFile iniFile)

### operate

    protected abstract void operate(IniFile file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD